Documents resource
Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.
Methods supported
| Method | Description |
|---|---|
| Delete | DEL /v2/{accountId}/documents/{id}Move a document to the trash folder. |
| DeleteLock | DEL /v2/{accountId}/documents/{id}/lockRelease a lock on a document |
| Get | GET /v2/{accountId}/documents/{id}Get a document by ID |
| GetAttachedDocuments | GET /v2/{accountId}/documents/{id}/attacheddocumentsGet attached documents |
| GetByPath | GET /v2/{accountId}/documentsGet a document by path |
| GetCustomData | GET /v2/{accountId}/documents/{id}/customdataQuery a CSV document by ID |
| GetDocumentProcessTrackingActivities | GET /v2/{accountId}/documents/{id}/documentprocesstrackingactivitiesGet the workflow user steps containing a document |
| GetDocumentReminders | GET /v2/{accountId}/documents/{id}/documentremindersGet the document reminders for a document |
| GetDocumentWorkItems | GET /v2/{accountId}/documents/{id}/workitemsGet workitems associated with the document |
| GetExternalReviewFromDocument | GET /v2/{accountId}/documents/{id}/reviewsGets the external review associated with the document |
| GetHistoryItems | GET /v2/{accountId}/documents/{id}/historyItemsGet the history of a document |
| GetLock | GET /v2/{accountId}/documents/{id}/lockGet the lock status of a document |
| GetRelatedDocuments | GET /v2/{accountId}/documents/{id}/relateddocumentsGet related documents |
| GetShareLinks | GET /v2/{accountId}/documents/{id}/sharelinksGet the share links of a document |
| GetVersions | GET /v2/{accountId}/documents/{id}/versionsGet the versions of a document |
| Patch | PATCH /v2/{accountId}/documents/{id}Update a document |
| PatchLock | PATCH /v2/{accountId}/documents/{id}/lockUpdate a lock on a document |
| PostLock | POST /v2/{accountId}/documents/{id}/lockCreate a lock on a document |
| PublishDocument | POST /v2/{accountId}/documents/{id}/publishPublishes document by ID. Returns document information. |
| Put | PUT /v2/{accountId}/documents/{id}Update a document |
| PutLock | PUT /v2/{accountId}/documents/{id}/lockUpdate a lock on a document |
Documents properties
| Property | Type | Description |
|---|---|---|
AccessLevel | AccessLevel | Permissions on the document for the current user |
AttachedDocuments | ApiCollection_Document_ | Attached documents |
AttributeGroups | object | A list of attribute group specifications to refine search |
ContentCreatedDate | string (date-time) | Date when the document was ingested/uploaded |
CreatedBy | string | Username of the user that created the clause. Sortable |
CreatedDate | string (date-time) | Date and time the workflow definition was created |
Description | string | Description of the group. Filterable and sortable |
DocumentProcessTrackingActivities | ApiCollection_DocumentProcessTrackingActivity_ | Workflow user steps containing the document |
DocumentReminders | ApiCollection_DocumentReminder_ | Document reminders set for the document |
DownloadDocumentHref | string | Uri where the document can be downloaded |
EosParentInfo | EosInfo | Information about the external object storage folder that contains the document |
Extension | string | Document extension |
HistoryItems | ApiCollection_HistoryItem_ | A history of actions performed on the document |
Href | string | Uri where the object can be retrieved. |
IsInTrash | boolean | Whether the document is in trash or not |
Lock | DocumentLock | The current lock status of the document |
LockStatus | string | Indicates the checked-out status of the latest version of the document. This field is populated for the latest version of the document. Load Lock Object for more details. |
Name | string | The name of the workflow as given in the workflow designer. Required when starting a new workflow |
NativeFileSize | integer (int64) | File size in bytes |
PageCount | integer (int32) | The page length of the document |
ParentFolder | Folder | Folder containing the clause |
Path | string | The file path of the document within the account’s folder structure |
PdfFileSize | integer (int64) | PDF rendition of file size in bytes |
PreviewUrl | string | Uri where a preview of the document can be viewed |
RelatedDocuments | ApiCollection_Document_ | Related documents |
Score | number (float) | ElasticSearch relevancy score |
ShareLinks | ApiCollection_ShareLink_ | Share links that have been created for the document |
Uid | string | Document Uid |
UpdatedBy | string | Search for who last updated an object |
UpdatedDate | string (date-time) | Date and time the workflow definition was last updated |
Version | string | Version number of the document. Increments as the document is checked out and checked back in |
Versions | ApiCollection_Document_ | Other versions of the document |
WorkItems | ApiCollection_WorkItem_ | Work items for the document |